/* Source file https://github.com/MrOtherGuy/firefox-csshacks/tree/master/chrome/urlbar_centered_text.css made available under Mozilla Public License v. 2.0
See the above repository for updates as well as full license text. */

#urlbar:not([focused]) #urlbar-input, /* ID for Firefox 70 */
#urlbar:not([focused]) .urlbar-input{ text-align: center !important; }

/* Source file https://github.com/MrOtherGuy/firefox-csshacks/tree/master/chrome/button_effect_scale_onhover.css made available under Mozilla Public License v. 2.0
See the above repository for updates as well as full license text. */

/* Effect */
.urlbar-icon,
.toolbarbutton-icon,
.tab-close-button,
.downloadIconShow > .button-box > .button-icon,
.menuitem-iconic .menu-iconic-icon,
#downloads-indicator-icon,
.urlbar-input-container [role="button"] image{
  transition: transform 83ms linear !important;
}

toolbar .toolbarbutton-1 > .toolbarbutton-icon{
  transition: padding 83ms linear !important;
}
.urlbar-input-container [role="button"] image,
.tab-close-button,
.downloadIconShow > .button-box > .button-icon,
.unified-extensions-item-menu-button > .toolbarbutton-icon,
#downloads-button #downloads-indicator-icon,
toolbarbutton#scrollbutton-up > .toolbarbutton-icon,
toolobar .toolbarbutton-1 > .toolbarbutton-icon,
toolbar .toolbarbutton-1 > .toolbarbutton-badge-stack > .toolbarbutton-icon,
.menuitem-iconic .menu-iconic-icon,
.urlbar-icon{
  transform: scale(0.8) !important;
}
toolbarbutton#scrollbutton-down > .toolbarbutton-icon{ transform: scale(-0.8) !important; }

toolbar .toolbarbutton-1 > .toolbarbutton-icon{
  padding: calc(var(--toolbarbutton-inner-padding) + 2px) !important;
}
.urlbar-input-container [role="button"]:not([disabled]):hover image,
.tab-close-button:hover,
.downloadIconShow:hover > .button-box > .button-icon,
#downloads-button:not([disabled]):hover #downloads-indicator-icon,
toolbarbutton#scrollbutton-up:not([disabled]):hover > .toolbarbutton-icon,
toolbarbutton:not(.toolbarbutton-1):not([disabled]):hover > .toolbarbutton-icon,
toolbar .toolbarbutton-1:not([disabled]):hover > .toolbarbutton-badge-stack > .toolbarbutton-icon,
.menuitem-iconic:not([disabled]):hover .menu-iconic-icon,
.urlbar-page-action:hover > .urlbar-icon{
  transform: none !important;
}
toolbarbutton#scrollbutton-down:not([disabled]):hover > .toolbarbutton-icon{transform: scale(-1) !important;}

toolbar .toolbarbutton-1:not([disabled]):hover > .toolbarbutton-icon{
  padding: var(--toolbarbutton-inner-padding) !important;
}

/* Made available under Mozilla Public License v. 2.0
See the above repository for updates as well as full license text. */

/* This style simply makes tab scale on click */

tab:not(:active) .tab-background {
  transition: background-color 0.5s !important;
}
:root:not([customizing]) :hover > .tabbrowser-tab:not(:hover) {
  transition: blur, ease 0.5s !important;
}

:root:not([customizing]) :not(:hover) > .tabbrowser-tab {
  transition: blur, ease 0.2s !important;
}

#tabbrowser-tabs .tab-label-container[customizing] {
  color: transparent;
  transition: ease 0.5s;
  transition-delay: 3s;
}

:root[uidensity="compact"] {
  --tab-min-height: 38px !important;
}

.tab-close-button {
  list-style-image: url("active_close.png");
  border-radius: 15px;
  transition: list-style-image 0.5s ease-out !important;
}
.tab-close-button:hover {
  list-style-image: url("mouseover_close.png");
}

.tab-line {
  display: none;
}

#tabs-newtab-button {
  margin-left: 4px !important;
  border-radius: 100% !important;
}

.tabbrowser-tab::before,
.tabbrowser-tab::after {
  display: none !important;
}

.tab-background[selected="true"] {
  color: #111111 !important;
}

.tabbrowser-tab[selected="true"],
.tab-label-container[selected="true"] {
  font-size: 1.1rem;
}
@keyframes fade {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.titlebar-spacer[type="pre-tabs"],
.titlebar-spacer[type="post-tabs"] {
  display: none !important;
}

/* Source file https://github.com/MrOtherGuy/firefox-csshacks/tree/master/chrome/compact_urlbar_megabar.css made available under Mozilla Public License v. 2.0
See the above repository for updates as well as full license text. */

/* Make urlbar appear more compact */
#urlbar[breakout][breakout-extend] {
    margin-left: 0 !important;
    width: var(--urlbar-width) !important;
    margin-top: calc((var(--urlbar-container-height) - var(--urlbar-height)) / 2) !important;
}
.urlbarView{
  margin-inline: 0 !important;
  width: auto !important;
}
.urlbarView-row{
  padding: 0 2px !important;
}
.urlbarView-row-inner{
  padding-inline-start: 4px !important;
}
#urlbar-background{
  animation: none !important;
}
.urlbar-input-container{
  padding: 0px 1px !important;
  height: initial !important; 
}
#identity-icon{
  margin-block: var(--urlbar-icon-padding);
}
.urlbarView > .search-one-offs:not([hidden]){
  padding-block: 0px !important;
}
